curl --request PATCH \
--url https://api-dev.rain.xyz/v1/issuing/applications/company/{companyId}/ubo/{uboId} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"birthDate": "2000-01-01",
"nationalId": "<string>",
"countryOfIssue": "<string>",
"email": "jsmith@example.com"
}
'import requests
url = "https://api-dev.rain.xyz/v1/issuing/applications/company/{companyId}/ubo/{uboId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"birthDate": "2000-01-01",
"nationalId": "<string>",
"countryOfIssue": "<string>",
"email": "jsmith@example.com"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
birthDate: '2000-01-01',
nationalId: '<string>',
countryOfIssue: '<string>',
email: 'jsmith@example.com'
})
};
fetch('https://api-dev.rain.xyz/v1/issuing/applications/company/{companyId}/ubo/{uboId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"line2": "<string>",
"country": "<string>"
},
"applicationStatus": "approved",
"externalId": "<string>",
"sourceKey": "<string>",
"ultimateBeneficialOwners": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationStatus": "approved",
"applicationExternalVerificationLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationCompletionLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationReason": "<string>"
}
],
"applicationExternalVerificationLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationCompletionLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationReason": "<string>"
}Update a company UBO's application
Authorizations
Path Parameters
Id of the company whose application is being reapplied
Id of the UBO whose application is being reapplied
Body
Update information for this company UBO
The UBO's first name
50The UBO's last name
50The UBO's birth date
"2000-01-01"
The UBO's national id, 9-digit SSN if country of issue is US
The UBO's country of issue of their national id
2The UBO's email address
The UBO's address
Show child attributes
Show child attributes
Response
Successful operation
The company's unique identifier
The company's name on the Rain platform
The company's physical address
Show child attributes
Show child attributes
approved, pending, needsInformation, needsVerification, manualReview, denied, locked, canceled An optional tenant-defined identifier for this company. Must be unique within the tenant.
1 - 255The source key associated with the company's team
1 - 24The company's ultimate beneficial owners
Show child attributes
Show child attributes
The link to the external verification page for the application
Show child attributes
Show child attributes
The link to the completion page for the application
Show child attributes
Show child attributes
The reason for the application status